/****************************************************************************
 *
 *		SCROLL.H
 *
 *		Declares functions and variables available in the assembly
 *		file SCROLL.S.
 * 
 ***************************************************************************/

extern void NewBltBitMap();			/* Our replacement BltBitMap routine	*/
extern __fptr BltBitMapAddress;		/* Ptr to original BltBitMap()			*/

extern long Friend1[];				/* Ptr to check fn for one active task	*/
extern long Friend2[];				/* Ptr to check fn for two active tasks	*/
extern long ShareBlit[];			/* Ptr to check fn to share CPU/blitter	*/
extern long StartBlit[];			/* Ptr to check fn that always uses CPU	*/
extern long ExitBlit[];				/* Ptr to check fn that never uses CPU	*/

extern long *BlitFunc;				/* Holds Ptr to current check function	*/
extern long UsageCount;				/* No. of callers currently in CPU code	*/
extern long OnlySingle;				/* True if restricting blits to 1 bmap	*/
extern long Broken;					/* True if handling broken software		*/
